include:
  - https://gitlab.com/accessable-net/gitlab-ci-templates/raw/master/flatpak.yml

variables:
  MANIFEST_PATH: $CI_PROJECT_DIR/ch.protonmail.protonmail-bridge.yaml
  BUNDLE: "ch.protonmail.protonmail-bridge.flatpak"

flatpak:
  variables:
    RUNTIME_REPO: "https://flathub.org/repo/flathub.flatpakrepo"
    FLATPAK_MODULE: "proton-bridge"
    APP_ID: "ch.protonmail.protonmail-bridge"
    RUNTIME_VRESION: "22.08"
  before_script:
    # GPG noninteractive passphase
    - gpg --list-keys --with-keygrip # init gpg
    - echo "allow-preset-passphrase" >> ~/.gnupg/gpg-agent.conf
    - gpg-connect-agent reloadagent /bye
    - cat $GPG_PASSPHRASE | /usr/libexec/gpg-preset-passphrase --preset $GPG_KEY_GREP
    - gpg --import --batch ${GPG_PRIVATE_KEY}

    # Make the filename stable
    - mv bridge_linux*.tgz bridge_linux.tgz
  # download build artifacts
  needs:
    - project: secure-system/proton/proton-bridge
      job: build-linux
      ref: master-ci
      artifacts: true
